EDIT - feature request #7942

SpecimenTypeDesignationEditor: Explanation on why editor can not be saved without type
designation

12/07/2018 11:20 AM - Andreas Kohlbecker
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.5

Severity: normal

Description

Das Speichern eines TypedesignationWorkingsets geht erst wenn mind. ein Type angelegt ist.
Andernfalls wiirde die Specimenlinformation verloren gehen, da sie nicht mit der Registrierung verkipft werden kdnnte.

Associated revisions

Revision 5003e7af - 12/10/2018 07:04 PM - Andreas Kohlbecker

fix #7942 using required flag and validation to prevent from saving without typedesignations

History

#1 - 12/07/2018 11:26 AM - Andreas Kohlbecker

- Status changed from New to Feedback

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber
We have two options:

1. Show a message in the footer of the editor as long as the save button is blocked: "Editor can not be saved without a type designation”
2. Enable the "Save" button always and make the fields "Type status", "Kind of unit", "Collection", "Accession number" of the first row required.

| prefer the second solution.

What do you think, Henning?

#2 - 12/07/2018 11:34 AM - Wolf-Henning Kusber

Den zweiten Text verstehe ich sprachlich nicht.

proposed wording: "Typedesignation editor can not be saved without filling in at least the mandatory fields"

#3 - 12/07/2018 11:37 AM - Wolf-Henning Kusber

- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

#4 - 12/07/2018 12:03 PM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

We agreed on using the required flag of the "Type status”, "Kind of unit" field ("Collection", "Accession number" must not be required) and showing
the text suggested by Henning.

"Type status", "Kind of unit" are already set to required but the flag is not evaluated yet.

#5 - 12/07/2018 12:03 PM - Andreas Kohlbecker

- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

#6 - 12/07/2018 12:04 PM - Andreas Kohlbecker

- Status changed from Feedback to In Progress

#7 - 12/10/2018 07:05 PM - Andreas Kohlbecker
- Status changed from In Progress to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-vaadin|5003e7af8f925¢c3c340a8f9c2fdd28ce735a9672.

#8 - 12/10/2018 07:06 PM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

implemented as discussed, ready for reviewing as soon as the test-server has been rebuild.

#9 - 01/29/2019 03:29 PM - Wolf-Henning Kusber
- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

- % Done changed from 50 to 100

Two warnings if required fields Kindof Unit & Type Status are not filled when saving.

Unspecific Vaadin popup: "The entered data in 1 field is incomplete or invalid”
Comment: this warning is acceptable because the more specific mouse over is implemented (see below)

Specific warning:

ITypes

Mouse over: "Can't save as long as type designations are missing"
This is fine with me.

The ticket may be closed.

Comment:

For the second (third etc.) type invalid data (missing mandatory fields) can be entered but not be stored, this is okay.

#10 - 01/29/2019 04:26 PM - Andreas Kohlbecker

- Status changed from Resolved to Closed
